Package twisted :: Package protocols :: Module sip :: Class BasicAuthorizer

[frames | no frames]

## Class BasicAuthorizer

Authorizer for insecure Basic (base64-encoded plaintext) authentication.

This form of authentication is broken and insecure. Do not use it.

Method Summary
| `decode(self, response)`
| `getChallenge(self, peer)`

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.protocols.sip.IAuthoriz...`

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.protocols.sip.IAuthorizer at 0x88c420c>,)

Generated by Epydoc 2.0 on Sat May 15 20:07:56 2004 | http://epydoc.sf.net